#ifndef __progress_h
#define __progress_h
#include <QPainter>
#include <QStyleOptionViewItem>
#include <QString>
#include <QProgressBar>
class AnimeProgressBar {
	public:
		AnimeProgressBar();
		void paint(QPainter *painter, const QStyleOptionViewItem &option, const QString &text, const int progress, const int episodes) const;

	private:
		QProgressBar dummy_progress;
};
#endif // __progress_h
